PZDTTRS(l)

NAME
PZDTTRS - solve a system of linear equations A(1:N, JA:JA+N-1) * X = B(IB:IB+N-1, 1:NRHS)

SYNOPSIS

SUBROUTINE PZDTTRS(
    TRANS, N, NRHS, DL, D, DU, JA, DESCA, B, IB, DESCB, AF, LAF, WORK, LWORK, INFO )

CHARACTER
    TRANS

INTEGER
    IB, INFO, JA, LAF, LWORK, N, NRHS

INTEGER
    DESCA( * ), DESCB( * )

COMPLEX*16
    AF( * ), B( * ), D( * ), DL( * ), DU( * ), WORK( * )

PURPOSE
PZDTTRS solves a system of linear equations
                        or
          A(1:N, JA:JA+N-1)' * X = B(IB:IB+N-1, 1:NRHS)

where A(1:N, JA:JA+N-1) is the matrix used to produce the factors stored in A(1:N,JA:JA+N-1) and AF by PZDTTRF.
A(1:N, JA:JA+N-1) is an N-by-N complex
tridiagonal diagonally dominant-like distributed
matrix.

Routine PZDTTRF MUST be called first.